Page MenuHomeFreeBSD

Update gitlab to version 10.7.5 and fix some small other issues
ClosedPublic

Authored by mfechner on May 31 2018, 11:20 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Mar 28, 8:07 AM
Unknown Object (File)
Jan 18 2024, 5:12 AM
Unknown Object (File)
Jan 15 2024, 3:24 AM
Unknown Object (File)
Dec 20 2023, 1:40 AM
Unknown Object (File)
Dec 18 2023, 4:44 PM
Unknown Object (File)
Dec 4 2023, 4:52 PM
Unknown Object (File)
Dec 4 2023, 4:52 PM
Unknown Object (File)
Dec 4 2023, 4:52 PM
Subscribers

Details

Summary

Question: can I commit this as one commit or should I commit it separately?

Combined changes are and will also be part of the commit message:
Applied security upgrade to gitlab 10.7.5.
Fixed bug with wrong path for gitlab-workhouse that should fix artifacts (reported by Felix <mail@felix.flornet.de>). This was fix upstream but is not included in this version yet: https://gitlab.com/gitlab-org/gitlab-ce/issues/46763
Update net/rubygem-grpc to 1.11.1 which is required for gitlab 10.7.5.
Sync dep net/rubygem-grpc with gitlab which uses now 1.11.1.
Added gitlab-pages again to dependencies as the new version builds again.

Test Plan

All patches are build using poudriere, everything was tested in a VM to run correctly.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

LGTM. I'd say doing it as one commit is fine.

Thanks in particular for fixing the tmp/upload vs uploads thing, I ran into that issue.

This revision is now accepted and ready to land.May 31 2018, 12:04 PM
This revision was automatically updated to reflect the committed changes.